`timescale 100 ns / 1 ns
`define VCC 1
`define VSS 0

`celldefine
module aoi22_4x ( A1, A2, B1, B2, Y );
  input A1, A2, B1, B2;
  output Y;

    not I0(B2_bar, B2);
    not I1(B1_bar, B1);
    buf I2(A2_buf, A2);
    buf I3(A1_buf, A1);
    and I4(OUT0, B2_bar, B1_bar, A2_buf, A1_buf);
    buf I5(B1_buf, B1);
    and I6(OUT1, B2_bar, B1_buf, A2_buf, A1_buf);
    buf I7(B2_buf, B2);
    and I8(OUT2, B2_buf, B1_bar, A2_buf, A1_buf);
    not I9(A2_bar, A2);
    not I10(A1_bar, A1);
    and I11(OUT3, B2_buf, B1_buf, A2_bar, A1_bar);
    and I12(OUT4, B2_buf, B1_buf, A2_bar, A1_buf);
    and I13(OUT5, B2_buf, B1_buf, A2_buf, A1_bar);
    and I14(OUT6, B2_buf, B1_buf, A2_buf, A1_buf);
    nor I15(Y, OUT0, OUT1, OUT2, OUT3, OUT4, OUT5, OUT6);

endmodule     // aoi22_4x //
`endcelldefine

