`timescale 100 ns / 1 ns
`define VCC 1
`define VSS 0

`celldefine
module dff_1x ( D, CLK, Q );
  input D, CLK;
  output Q;
  wire SMC_CK_IN;
  wire SMC_NS_IN;

    wire SMC_CLEAR_IN;
    wire SMC_PRESET_IN;
    assign SMC_CLEAR_IN =`VCC;
    assign SMC_PRESET_IN =`VCC;
    buf I0(SMC_CK_IN, CLK);

    not I1(SMC_IQN, SMC_IQ);
    buf I2(SMC_NS_IN, D);


    dff_p0 I3(.q(SMC_IQ), .d(SMC_NS_IN), .clk(SMC_CK_IN), .clear(SMC_CLEAR_IN), 
          .preset(SMC_PRESET_IN));

    //  output pins

    buf I4(Q, SMC_IQ);
endmodule     // dff_1x //
`endcelldefine

