`timescale 100 ns / 1 ns
`define VCC 1
`define VSS 0

`celldefine
module dff_c_2x ( D, CLEAR, CLK, Q );
  input D, CLEAR, CLK;
  output Q;
  wire SMC_CK_IN;
  wire SMC_NS_IN;

    wire SMC_CLEAR_IN;
    wire SMC_PRESET_IN;
    not I0(SMC_CLEAR_INV, CLEAR);

    not I1(SMC_CLEAR_IN, SMC_CLEAR_INV);
    assign SMC_PRESET_IN =`VCC;
    buf I2(SMC_CK_IN, CLK);

    not I3(SMC_IQN, SMC_IQ);
    buf I4(SMC_NS_IN, D);


    dff_p0 I5(.q(SMC_IQ), .d(SMC_NS_IN), .clk(SMC_CK_IN), .clear(SMC_CLEAR_IN), 
          .preset(SMC_PRESET_IN));

    //  output pins

    buf I6(Q, SMC_IQ);
endmodule     // dff_c_2x //
`endcelldefine

