`timescale 100 ns / 1 ns
`define VCC 1
`define VSS 0

module buf_6x_test_Y;
  buf_6x instance0 (.Y(Y), .A(A));
  buf_6x_stim_Y instance1 (.Y(Y), .A(A));
endmodule

module buf_6x_stim_Y(A,Y);
    
    output A;
    reg A;
    input Y;

    reg [0:1]      vectors[0:2];
    reg [0:1]      ivector;
    integer i_Y;

    // Verify functionality of Y
    initial begin
      vectors[0] = 2'b00;
      vectors[1] = 2'b11;
      
//apply vectors
      for(i_Y=0; i_Y < 2; i_Y = i_Y + 1)
      begin
        ivector = vectors[i_Y];
        {A} = ivector[0];
        #10.00;
        if( ivector[1] !== Y)
        $display("verify ERROR:Y output mismatch at vector no. %d, %b != %b", i_Y, ivector[1], Y);
      end
    end


endmodule

